<?php

namespace App\Domains\Ticket\Requests;

use Illuminate\Foundation\Http\FormRequest;

class DownloadTicketsPdfRequest extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    /** @return array<string, array<int, string>> */
    public function rules(): array
    {
        return [
            'ticket_ids' => ['required', 'array', 'min:1', 'max:25'],
            'ticket_ids.*' => ['required', 'integer', 'distinct'],
        ];
    }
}
